package com.guo.controller;

import com.guo.common.domain.Result;
import com.guo.service.impl.GateWayLoadService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author gxb
 * @description 网关控制层
 * @date 2024-04-18 14:29
 */
@RestController
@RequestMapping("/gateway")
public class GateWayController {

    @Autowired
    private GateWayLoadService gateWayLoadService;

    /**
     * 获取负载节点
     * @return 返回公网IP
     */
    @PostMapping("/load/node")
    public Result<String> loadNode(){
        return Result.success(gateWayLoadService.loadNode());
    }

}
