package com.guo.gateway.cache;

import com.guo.common.constant.CacheConstants;
import com.guo.gateway.cache.abs.CacheAbs;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

/**
 * @author gxb
 * @description 网关负载序列
 * @date 2024-04-18 14:15
 */
@Component
public class LoadSeriesCache extends CacheAbs<String> {

    @Override
    public String getPre() {
        return CacheConstants.GATEWAY_COMMON;
    }

    /**
     * bean创建完成之后执行方法
     */
    @PostConstruct
    public void init(){
        redisService.setCacheObject(encode(CacheConstants.GATEWAY_LOAD_SERIES_KEY),0);
    }

    /**
     * 获取当前序列值
     * @return 序列值
     */
    public Long get(){
        return redisService.getCacheObject(encode(CacheConstants.GATEWAY_LOAD_SERIES_KEY));
    }

    /**
     * 获取自增序列值
     * @return 自增后的值
     */
    public Long incrementAndGet(){
        return redisService.increment(encode(CacheConstants.GATEWAY_LOAD_SERIES_KEY),1L);
    }

    /**
     * 重置
     */
    public void reset(){ this.init(); }
}
