package com.guo.gateway.cache;

import com.guo.common.constant.CacheConstants;
import com.guo.gateway.cache.abs.CacheAbs;
import com.guo.gateway.model.NodeVehicle;
import org.springframework.stereotype.Component;

/**
 * @author gxb
 * @description 网关节点存储VIN信息
 * @date 2024-04-18 14:27
 */
@Component
public class NodeSetVinCache extends CacheAbs<String> {

    @Override
    public String getPre() {
        return CacheConstants.GATEWAY_VEHICLE;
    }

    /**
     * 存入车辆信息
     * @param nodeVehicle
     */
    public void put(NodeVehicle nodeVehicle){
        redisService.setCacheObject(encode(nodeVehicle.getVehicleVin()),nodeVehicle);
    }

    /**
     * 获取车辆节点ID
     * @param vehicleVin  车辆VIN
     * @return  返回节点ID
     */
    public String get(String vehicleVin){
        return redisService.getCacheObject(encode(vehicleVin));
    }

    /**
     * 删除车辆信息
     * @param vehicleVin  车辆VIN
     */
    public void delete(String vehicleVin){
        redisService.deleteObject(encode(vehicleVin));
    }
}
